## org.gnu.gtk
Class FontSelection

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Box
                              org.gnu.gtk.VBox
                                  org.gnu.gtk.FontSelection

public class FontSelection
extends VBox

A widget that lists the available fonts, styles and sizes, allowing the user to select a font. It is used in the `FontSelectionDialog` widget to provide a dialog box for selecting fonts.

See Also:
  `FontSelectionDialog`

Constructor Summary
`FontSelection()` Creates a new font selection widget
`FontSelection(org.gnu.glib.Handle handle)` Construct a new FontSelection from a handle to a native resource.

Method Summary
`java.lang.String` `getFont()` Returns the name of the currently selected font.
`static FontSelection` `getFontSelection(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`java.lang.String` `getPreviewText()` Returns the text which appears in the preview box.
`void` `getPreviewText(java.lang.String previewText)` Sets the text to appear in the preview box.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setFont(java.lang.String font)` Sets the currently-selected font.

Methods inherited from class org.gnu.gtk.VBox
`getVBox`

Methods inherited from class org.gnu.gtk.Box
`getHomogeneous, getSpacing, packEnd, packEnd, packStart, packStart, reorderChild, setHomogeneous, setSpacing`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontSelection

    public FontSelection()

  Creates a new font selection widget

### FontSelection

    public FontSelection(org.gnu.glib.Handle handle)

  Construct a new FontSelection from a handle to a native resource.

Method Detail

### getFontSelection

    public static FontSelection getFontSelection(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setFont

    public void setFont(java.lang.String font)
                 throws org.gnu.gtk.FontSelection.FontNotFoundException

  Sets the currently-selected font.

  Parameters:
    `font` - The name of the font to be selected
  Throws:
    `org.gnu.gtk.FontSelection.FontNotFoundException`

### getFont

    public java.lang.String getFont()

  Returns the name of the currently selected font.

  Returns:
    The name of the selected font.

### getPreviewText

    public java.lang.String getPreviewText()

  Returns the text which appears in the preview box.

### getPreviewText

    public void getPreviewText(java.lang.String previewText)

  Sets the text to appear in the preview box.

  Parameters:
    `previewText` - The text which should appear in the preview box

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.